<?php
namespace PriorityOneMarketingGroup;

class Cronjobs {
    /**
     * @param object $conn
     * @param string $action
     * @param int $key
     * @param array $params
     */
    public function __construct($conn = null, $method = null, $action = null, $key = null, $values = array(), $params = array())
    {
        $this->mysql_connection = $conn;
        $this->key = $key;
        $this->params = $params;
        $this->method = $method;
        $this->values = $values;

        switch ($action) {
            case 'all':
                $this->results = self::deleteAllFiles();
                break;
        }
    }

    public function getResults(){
        $return = self::createJSON($this->results);

        return $return;
    }

    public function deleteAllFiles(){
        $files = [];

        $files = array_merge($files, glob('../../v1/public/files/clients/*'));
        $files = array_merge($files, glob('../../v1/public/files/clubs/*'));
        $files = array_merge($files, glob('../../v1/public/files/confirmation_letters/*'));
        $files = array_merge($files, glob('../../v1/public/files/emails/*'));
        $files = array_merge($files, glob('../../v1/public/files/runsheets/*'));

        foreach($files as $file){
          if(is_file($file))
            unlink($file);
        }

        $return[0]['success'] = true;

        return $return;
    }

    private function createJSON($results){
        for ($i=0;$i<count($results);$i++) {
            if(count($results) > 1 && $i == 0) $return .= '[';
            $return .= ($i>0?',':'').json_encode($results[$i]);
            if(count($results) > 1 && $i == (count($results)-1)) $return .= ']';
        }

        return $return;
    }
}

?>